package book

import "github.com/gin-gonic/gin"

func registerBookAuthorRoutes(router gin.IRoutes, routerWithoutRecord gin.IRoutes) {
	router.POST("createBookAuthor", bookApiGroup.BookAuthorApi.CreateBookAuthor)
	router.DELETE("deleteBookAuthor", bookApiGroup.BookAuthorApi.DeleteBookAuthor)
	router.DELETE("deleteBookAuthorByIds", bookApiGroup.BookAuthorApi.DeleteBookAuthorByIds)
	router.PUT("updateBookAuthor", bookApiGroup.BookAuthorApi.UpdateBookAuthor)
	routerWithoutRecord.GET("findBookAuthor", bookApiGroup.BookAuthorApi.FindBookAuthor)
	routerWithoutRecord.GET("getBookAuthorList", bookApiGroup.BookAuthorApi.GetBookAuthorList)
}
